ApiManagementV1WorkspacesWorkspaceidEvent typesId

Update an event type

PATCH
/management/v1/workspaces/{workspaceId}/event-types/{id}
AuthorizationBearer <token>

Management token (nhm_...)

In: header

Path Parameters

idstring
name?string
description?string | null

Response Body

curl -X PATCH "https://loading/management/v1/workspaces/{workspaceId}/event-types/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": "string",
  "name": "string",
  "description": "string",
  "subscriberCount": 0,
  "createdAt": "2019-08-24T14:15:22Z"
}

{
  "error": {
    "code": "validation_error",
    "message": "Event type name must match pattern: ^[a-z0-9._-]+$"
  }
}

{
  "error": {
    "code": "unauthorized",
    "message": "Missing or invalid authorization header"
  }
}

{
  "error": {
    "code": "token_disabled",
    "message": "Management token is disabled"
  }
}

{
  "error": {
    "code": "not_found",
    "message": "Event type not found"
  }
}